package com.ho.business.util.region;

import java.util.HashMap;
import java.util.Map;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class VoltageLevel {

    public static Integer getVoltageLevel(String key){
        Map<String,Integer> map=new HashMap<>();
        map.put("不满1千伏",1);
        map.put("1-10千伏",2);
        map.put("1~10千伏",2);
        map.put("1-10(20)千伏",3);
        map.put("1-10(20)干伏",3);
        map.put("1~10(20)千伏",3);
        map.put("10千伏",4);
        map.put("10千伏高供低计(380v/220v计量)",5);
        map.put("10千伏高供高计",6);
        map.put("25千伏",7);
        map.put("35千伏",8);
        map.put("35千伏及以上",9);
        map.put("35千伏及\n以上",9);
        map.put("35-110千伏",10);
        map.put("35千伏-110千伏\n(不含)",10);
        map.put("35-110千伏以下",10);
        map.put("35-110千\n伏以下",10);
        map.put("66千伏",11);
        map.put("110千伏",12);
        map.put("110干伏",12);
        map.put("110(60)千伏",13);
        map.put("110千伏以上",14);
        map.put("110千伏及以上",14);
        map.put("110千伏及\n以上",14);
        map.put("110-220千伏",15);
        map.put("110-220千伏以下",15);
        map.put("110千伏-220千伏\n(不含)",15);
        map.put("110-220千\n伏以下",15);
        map.put("220千伏及以上",16);
        map.put("220千伏",16);
        map.put("220千伏及\n以上",16);
        map.put("220千伏\n及以上",16);
        map.put("220(330)千伏",17);
        map.put("330千伏",18);
        map.put("220伏/380伏",19);
        map.put("110(66)千伏",20);
        map.put("35千伏以下",23);

        return map.get(key);
    }
    public static boolean isNumeric(String str){
        Pattern pattern = Pattern.compile("-?[0-9]*\\.?[0-9]+");
        Matcher isNum = pattern.matcher(str);
        if (!isNum.matches()) {
            return false;
        }
        return true;
    }
}
